Read Autotune

gethttps://statsigapi.net/console/v1/autotunes/{id}

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

id

Response

application/json
200· Read Autotune Success
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired
Show child attributes
descriptionstringrequired

Detailed description of the configuration’s purpose.

variantsobject[]required
namestringrequired

Variant name

jsonunknownrequired

Variant JSON data

sizenumber

Variant size

idstringrequired

The name that was originally given to the autotune on creation but formatted as an ID ("A Autotune" -> "a_autotune").

successEventstringrequired

The event you are trying to optimize for.

successEventValuestringrequired

The value that should come with the event for it to be considered successful.

explorationWindowstringrequired

The initial time period where Autotune will equally split the traffic.

Allowed values:1hr24hr48hr168hr336hr124481683361hrs24hrs48hrs168hrs336hrs
attributionWindowstringrequired

The maximum duration between the exposure and success event that counts as a success.

Allowed values:1hr2hr4hr24hr1hrs2hrs4hrs24hrs12424
attributionWindowUnitstring

Time unit of attribution window

Allowed values:minhourday
explorationWindowRatenumber

Exploration window rate

Constraints:format: doublemin: 0.001max: 1
longtermExplorationAllocationnumber

Long term exploration allocation

Constraints:format: doublemin: 0.001max: 1
winnerThresholdstringrequired

The "probability of best" threshold a variant needs to achieve for Autotune to declare it the winner, stop collecting data, and direct all traffic.

Allowed values:80%90%95%98%99%
metadataFieldstring

Metadata field containing the numeric value to optimize for. If this field is null, autotune optimizes for the existence of a follow-up event. This is only used for contextual autotunes.

higherIsBetterboolean

Whether to optimize for an increase or decrease in the metadata field value. Default is true. This is only used for contextual autotunes.

isContextualboolean

Whether this is a contextual autotune

metricSourceIDstring

Metric source to pull success event data from

linkedExperimentNamestring

Linked experiment to measure the success of the Autotune

goalRichTextstring

Autotune goal

optimizationParameterstring

Optimize for event occurrence vs value

Allowed values:occurrencevalue
valueColumnstring

Metric source column to optimize for

featureListstring[]

List of features that should be included in the analysis

inlineTargetingRulesJSONstring

A raw JSON string of the inline targeting rules

Constraints:nullable
inlineTargetingRulesobject[]

A formatted array of the inline targeting rules

namestringrequired

The name of this rule.

passPercentagenumberrequired

Of the users that meet the conditions of this rule, what percent should return true.

Constraints:min: 0max: 100
conditionsobject[]required

An array of Condition objects.

targetValueoneOf
Constraints:nullablestring[]number[]stringnumber
operatorstring
fieldstring
Constraints:nullable
customIDstring
Constraints:nullable
typestringrequired
Allowed values:app_versionbrowser_namebrowser_versioncountrycustom_fieldemailenvironment_tierfails_gatefails_segmentip_addresslocaleos_nameos_versionpasses_gatepasses_segmentpublictimeunit_iduser_iduser_agenturljavascriptdevice_modeltarget_appexperiment_group
environmentsstring[]

The environments this rule is enabled for.

Constraints:nullable
idstring

The Statsig ID of this rule.

baseIDstring

The base ID of this rule, i.e. without any added metadata. Will remain the exact same throughout

returnValueobject

The return value of the rule.

completedAutomatedRolloutsobject[]

Read-only: Automated rollout phases that have already completed.

timenumber
passPercentnumberrequired
pendingAutomatedRolloutsobject[]

Read-only: Automated rollout phases that are scheduled but not yet complete.

timenumber
passPercentnumberrequired
idstringrequired

ID

namestring

Optional name for the configuration.

idTypestringrequired

Type of ID

lastModifierIDstringrequired

ID of the last modifier.

Constraints:nullable
lastModifiedTimenumberrequired

Time of the last modification.

Constraints:format: doublenullable
lastModifierEmailstringrequired

Email of the last modifier.

Constraints:nullable
lastModifierNamestringrequired

Name of the last modifier.

Constraints:nullable
creatorIDstringrequired

ID of the user who created the entity.

Constraints:nullable
createdTimenumberrequired

Timestamp when the entity was created.

Constraints:format: double
creatorNamestringrequired

Name of the creator.

Constraints:nullable
creatorEmailstringrequired

Email of the creator.

Constraints:nullable
tagsstring[]

Optional tags for categorization.

targetAppsstring[]

List of target applications associated with this configuration.

holdoutIDsstring[]

Holdouts applied to this configuration.

teamstring

Optional name for the responsible team.

Constraints:nullable
teamIDstring

Optional ID of the responsible team.

Constraints:nullable
versionnumber

Version number

Constraints:format: double
isStartedbooleanrequired

Is the autotune experiment currently running.

winnerobjectrequired
Constraints:nullable
idstringrequired

The Statsig UserID of the last modifier of this autotune.

namestringrequired

The Statsig Username of the last modifier of this autotune.

401· This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequired
Allowed values:401
messagestringrequired
404· Not Found. The requested resource could not be found.
statusintegerrequired
Allowed values:404
messagestringrequired

Was this helpful?